Bug 1296236 - dnf causes python3 to drop core files
dnf causes python3 to drop core files
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 11:32 EST by George R. Goffe
Modified: 2016-01-19 09:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 09:03:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2016-01-06 11:32:46 EST
Description of problem:

/bin/dnf -y group install with-optional Security Lab' (see below)

Version-Release number of selected component (if applicable):

rpm -q dnf
dnf-1.1.5-1.fc24.noarch
fc24-rawhide--bash 4.3 ~# rpm -q python3
python3-3.5.1-2.fc24.x86_64

How reproducible:

This problem seems to be random. Sometimes with existing groups and sometimes for non-existent groups.

Steps to Reproduce:
1./bin/dnf -y group install with-optional Security Lab'
core.21729: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-styl
2.
3.

Actual results:

sometimes causes core to be dumped

Expected results:

Just a message about not existing would be more appropriate.

Additional info:

core.16672: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/bin/python3 /bin/dnf -y group install with-optional Security Lab'
core.21729: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/bin/python3 /bin/dnf -y group install with-optional Authoring and Publishi'
Comment 1 Honza Silhan 2016-01-11 07:56:36 EST
Can you attach the core dump file, some traceback or any more useful data, please?
Comment 2 George R. Goffe 2016-01-13 03:58:58 EST
Jan,

Unfortunately I didn't think the corefile(s) would be asked for so I removed them.

I will take care to save corefiles in the future.

The updating happened to the freshly installed F24 system. I will attempt to re-create this situation.

You could close this one if you would like... if I re-experience the problem I'll re-open or make a new one.

Regards,

George...
Comment 3 Michal Luscon 2016-01-19 09:03:37 EST
Ok, feel free to reopen if you attach a requested coredump.

Note You need to log in before you can comment on or make changes to this bug.